<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use App\User;
use App\Pengumuman;
use Illuminate\Support\Facades\Auth;
class AkademikController extends Controller
{
  public function __construct()
  {
    $this->middleware('auth');
    $this->middleware('rule:Divisi Akademik');
  }

    public function index()
  {
      $pengumumans = DB::table('pengumumans')->paginate(10);

      return view('akademik.index')->with('pengumumans', $pengumumans);
  }

  public function datapengumuman(){
        $this->data['title'] = 'Daftar Pengumuman';
        $pengumumans = DB::table('pengumumans')->paginate(10);

        return view('akademik.dataPengumuman.index')->with('pengumumans', $pengumumans);

    }

    public function editpengumuman($id){
        $this->data['pengumumans'] = Pengumuman::find($id);
        return view('akademik.dataPengumuman.edit',$this->data);
    }

    public function updatepengumuman(Request $request, $id){
      $input = $request->all();
      Pengumuman::find($id)->update($input);
      return redirect(url('akademik/dataPengumuman'))->with('info','Pengumuman berhasil diubah');
  }

  public function detail($ids)
    {
        $this->data['pengumumans'] = Pengumuman::find($ids);
        return view('akademik/dataPengumuman/detail',$this->data);
    }

    public function store(Request $request)
      {
          $input = $request->all();

          Pengumuman::create($input);
          return redirect(url('akademik'))->with('info','Pengumuman berhasil ditambahkan');
      }

      public function create()
      {
          $this->data['title'] = 'Tambah Pengumuman';
          return view('akademik.pengumuman.index',$this->data);
      }

      public function delete($id){
        Pengumuman::find($id)->delete();
        return redirect(url('/akademik/dataPengumuman'))->with('info','Pengumuman berhasil dihapus');
    }
}
