<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use App\User;
use App\Pengumuman;
use Illuminate\Support\Facades\Auth;
class BendaharaController extends Controller
{
  public function __construct()
  {
    $this->middleware('auth');
    $this->middleware('rule:Bendahara');
  }

    public function index()
  {
      $pengumumans = DB::table('pengumumans')->paginate(10);

      return view('bendahara.index')->with('pengumumans', $pengumumans);
  }

  public function datapengumuman(){
        $this->data['title'] = 'Daftar Pengumuman';
        $pengumumans = DB::table('pengumumans')->paginate(10);

        return view('bendahara.dataPengumuman.index')->with('pengumumans', $pengumumans);

    }

    public function editpengumuman($id){
        $this->data['pengumumans'] = Pengumuman::find($id);
        return view('bendahara.dataPengumuman.edit',$this->data);
    }

    public function updatepengumuman(Request $request, $id){
      $input = $request->all();
      Pengumuman::find($id)->update($input);
      return redirect(url('bendahara/dataPengumuman'))->with('info','Pengumuman berhasil diubah');
  }

  public function detail($ids)
    {
        $this->data['pengumumans'] = Pengumuman::find($ids);
        return view('bendahara/dataPengumuman/detail',$this->data);
    }

    public function store(Request $request)
      {
          $input = $request->all();

          Pengumuman::create($input);
          return redirect(url('bendahara'))->with('info','Pengumuman berhasil ditambahkan');
      }

      public function create()
      {
          $this->data['title'] = 'Tambah Pengumuman';
          return view('bendahara.pengumuman.index',$this->data);
      }

      public function delete($id){
        Pengumuman::find($id)->delete();
        return redirect(url('/bendahara/dataPengumuman'))->with('info','Pengumuman berhasil dihapus');
    }
}
