<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Topic;
use App\User;
use App\Comment;
use App\Category;
use Redirect;
use Image;
use Auth;
use App\Post;
use Validator;
class ForumController extends Controller
{

  public function __construct()
  {
    $this->middleware('auth');
    $this->middleware('rule:Mahasiswa');
  }

  public function getForum()
  {
    $posts = Topic::where('active', 1)->latest()->paginate(5);
    //Page heading
    $title = 'Post Terbaru';

    return view('forum.index')->withPosts($posts)->withTitle($title);
  }

  public function show($id){
        $post = Topic::where('id', $id)->first();
        $comment = Comment::where('id', $id)->first();
        if(!$post){
            return view('errors.404');
        }
        $comments = $post->comment;
        return view('forum.posting.index')->withPost($post)->withComments($comments)->withComment($comment);
    }

  public function getJob()
  {
    $posts = Topic::where('category_id', 4)->latest()->paginate(5);
    //Page heading
    $title = 'Lowongan Magang/Pekerjaan';

    return view('forum.category.job')->withPosts($posts)->withTitle($title);
  }

  public function getLost()
  {
    $posts = Topic::where('category_id', 1)->latest()->paginate(5);
    //Page heading
    $title = 'Lost And Found';

    return view('forum.category.lost')->withPosts($posts)->withTitle($title);
  }

  public function getPelajaran()
  {
    $posts = Topic::where('category_id', 2)->latest()->paginate(5);
    //Page heading
    $title = 'Pelajaran';

    return view('forum.category.pelajaran')->withPosts($posts)->withTitle($title);
  }

  public function getSayembara()
  {
    $posts = Topic::where('category_id', 3)->latest()->paginate(5);
    //Page heading
    $title = 'Info Sayembara';

    return view('forum.category.sayembara')->withPosts($posts)->withTitle($title);
  }

  public function getPost()
  {
      return view('forum.posting.index');
  }

  public function store(Request $request){
    $posts = Topic::all();
      $input['author_id'] = $request->user()->id;
  		$input['category_id'] = $request->input('category_id');
  		$input['judul'] = $request->input('judul');
      $input['description'] = $request->input('description');
      $id = $request->input('id');
      Topic::create($input);
    return redirect(url('forum'))->with('alert-success','Data Hasbeen Saved!');
  }

  public function getComment(Request $request)
    {
        //store data to comments table
        $input['from_user'] = $request->user()->id;
        $input['on_post'] = $request->input('on_post');
        $input['body'] = $request->input('body');
        $id = $request->input('id');
        Comment::create($input);
        return back()->with('alert-success','Data Hasbeen Saved!');
    }

    public function destroy($id)
    {
        $post = Topic::where('id', $id)->first();
        $post->delete();
        return back()->with('alert-success','Data Hasbeen Deleted!');
    }

}
