<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Event;
use App\Pengumuman;
use DB;
use Illuminate\Support\Facades\Auth;
use App\User;
use App\Aspirasi;

class homeController extends Controller
{
  public function home()
  {

    $this->data['title'] = 'Daftar Pengumuman';
    $pengumumans = DB::table('pengumumans')->latest()->paginate(3);
    $event = DB::table('events')->latest()->paginate(3);
    $user = Auth::user();
    return view ('mahasiswa.index')->with('pengumumans', $pengumumans)->withUser($user)->withEvent($event);

  }

  public function __construct()
  {
    $this->middleware('auth');
    $this->middleware('rule:Mahasiswa');
  }

  public function getPengumuman()
  {
    $no=1;
    $user = Auth::user();
    $pengumumans = DB::table('pengumumans')->latest()->paginate(10);
    return view('mahasiswa.pengumuman',['pengumumans' =>$pengumumans])->withUser($user)->withNo($no);
  }

  public function show($id){
        $pengumumans = Pengumuman::where('id', $id)->first();
        if(!$pengumumans){
            return view('errors.404');
        }
        $user = Auth::user();
        return view('mahasiswa.pengumuman.index')->withPengumumans($pengumumans)->withUser($user);
    }

    public function getProfileBem()
    {
      $user = Auth::user();
      return view('mahasiswa.profilbem')->withUser($user);
    }

    public function getAsp()
    {
      $user = Auth::user();
      return view('mahasiswa.aspirasi')->withUser($user);
    }

    public function storeAspirasi(Request $request)
      {
          $input = $request->all();

          Aspirasi::create($input);
          return redirect(url('/'))->with('info','Aspirasi berhasil ditambahkan');
      }
}
