<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Topic extends Model
{
    protected $guarded =[];

    public function comment()
    {
      return $this->hasMany('App\Comment', 'on_post');
    }

    public function author()
    {
      return $this->belongsTo('App\User', 'author_id');
    }

    public function category()
    {
        return $this->belongsTo('App\Category', 'category_id');
    }

    public function commentsCount()
      {
          return $this->comment()
          ->selectRaw('on_post, count(*)-1 as total')
          ->groupBy('on_post');
      }

}
