@extends('forum')
@section('content')
        <div id="app">
            <div id="chatter" class="chatter_home">
                <div id="chatter_hero">
                    <div id="chatter_hero_dimmer"></div>
                    <h1>Selamat Datang di Forum Mahasiswa</h1>
                    <p>Diam bukan pilihan. Sampaikan semuanya di sini!</p>
                </div>
                <div class="container chatter_container">
                    <div class="row">
                        <div class="col-md-3 left-column">
                            <!-- SIDEBAR -->
                            <div class="chatter_sidebar">
                                <button class="btn btn-primary" id="new_discussion_btn"><i class="chatter-new"></i> New Discussion</button>
                                <a href="/forum"><i class="chatter-bubble"></i> All Discussion</a>
                                <ul class="nav nav-pills nav-stacked">
                                    <li><a href="/forum/category/lost"><div class="chatter-box" style="background-color:#3498DB"></div> Lost and Found</a></li>
                                    <li><a href="/forum/category/pelajaran"><div class="chatter-box" style="background-color:#2ECC71"></div> Pelajaran</a></li>
                                    <li><a href="/forum/category/sayembara"><div class="chatter-box" style="background-color:#9B59B6"></div> Info Sayembara</a></li>
                                    <li><a href="/forum/category/job"><div class="chatter-box" style="background-color:#E67E22"></div> Info Lowongan Magang/Pekerjaan</a></li>
                                </ul>
                            </div>
                            <!-- END SIDEBAR -->
                        </div>
                        <div class="col-md-9 right-column">
                            <div class="panel">
                                <ul class="discussions">
                                  @foreach($posts as $post)
                                    <li>
                                        <a class="discussion_list" href="/forum/{{ $post->id }}">
                                            <div class="chatter_avatar">

                                                <span class="chatter_avatar_circle" style="background-color:#a88285">
                                                    O
                                                </span>

                                            </div>

                                            <div class="chatter_middle">
                                                <h3 class="chatter_middle_title">{{ $post->judul }} <div class="chatter_cat" style="background-color:{{ $post->category->color }}">{{ $post->category->name }}</div></h3>
                                                <span class="chatter_middle_details">Posted By: <span data-href="/user">{{$post->author->username}}</span>&emsp;{{ \Carbon\Carbon::createFromTimeStamp(strtotime($post->created_at))->diffForHumans() }}</span>
                                                <p>{{ substr(strip_tags($post->description), 0, 200) }}@if(strlen(strip_tags($post->description)) > 200){{ '...' }}@endif</p>
                                            </div>

                                            <div class="chatter_right">

                                                <div class="chatter_count"><i class="chatter-bubble"></i> 0</div>
                                            </div>

                                            <div class="chatter_clear"></div>
                                        </a>
                                    </li>
                                    @endforeach
                                </ul>
                            </div>

                            <div id="pagination">

                            </div>

                        </div>
                    </div>
                </div>

                <div id="new_discussion">


                    <div class="chatter_loader dark" id="new_discussion_loader">
                        <div></div>
                    </div>

                    <form id="chatter_form_editor" action="{{url(action('ForumController@store'))}}"  method="POST">
                      <input type="hidden" name="_token" value="{{{ csrf_token() }}}" />
                        <div class= "row">
                            <div class="col-md-7">
                                <!-- TITLE -->
                                <input type="text" class="form-control" id="title" name="judul" placeholder="Title of Discussion" v-model="title" value="" >
                            </div>

                            <div class="col-md-4">
                                <!-- CATEGORY -->
                                <select id="chatter_category_id" class="form-control" name="category_id">
                                    <option value="">Select a Category</option>
                                    <option value="1">Lost and Found</option>
                                    <option value="2">Pelajaran</option>
                                    <option value="3">Info Sayembara</option>
                                    <option value="4">Info Lowongan Magang/Pekerjaan</option>
                                </select>
                            </div>

                            <div class="col-md-1">
                                <i class="chatter-close"></i>
                            </div>
                        </div><!-- .row -->

                        <!-- BODY -->
                        <div id="editor">
                            <label id="tinymce_placeholder">Add the content for your Discussion here</label>
                            <textarea id="body" class="richText" name="description" placeholder=""></textarea>
                        </div>



                        <div id="new_discussion_footer">

                            <button id="submit_discussion" class="btn btn-success pull-right"><i class="chatter-new"></i> Create Discussion</button>
                            <a href="/forum" class="btn btn-default pull-right" id="cancel_discussion">Cancel</a>
                            <div style="clear:both"></div>
                        </div>
                    </form>

                </div><!-- #new_discussion -->

            </div>

            <input type="hidden" id="chatter_tinymce_toolbar" value="bold italic underline | alignleft aligncenter alignright | bullist numlist outdent indent | link image">
            <input type="hidden" id="chatter_tinymce_plugins" value="link, image">

        </div>

        <!-- Scripts -->
        <script src="{{asset('chatter/js/app.js')}}"></script>



        <script src="{{asset('chatter/vendor/tinymce/tinymce.min.js')}}"></script>
        <script src="{{asset('chatter/js/tinymce.js')}}"></script>
        <script src="{{asset('chatter/vendor/spectrum/spectrum.js')}}"></script>
        <script src="{{asset('chatter/js/chatter.js')}} "></script>
        <script>
                                                        var my_tinymce = tinyMCE;
                                                        $('document').ready(function () {

                                                            $('#tinymce_placeholder').click(function () {
                                                                my_tinymce.activeEditor.focus();
                                                            });
                                                            $('.chatter-close').click(function () {
                                                                $('#new_discussion').slideUp();
                                                            });
                                                            $('#new_discussion_btn, #cancel_discussion').click(function () {
                                                                $('#new_discussion').slideDown();
                                                                $('#title').focus();
                                                            });

                                                            $("#color").spectrum({
                                                                color: "#333639",
                                                                preferredFormat: "hex",
                                                                containerClassName: 'chatter-color-picker',
                                                                cancelText: '',
                                                                chooseText: 'close',
                                                                move: function (color) {
                                                                    $("#color").val(color.toHexString());
                                                                }
                                                            });



                                                        });
        </script>
@endsection
