<?php

Route::get('/chatter', 'ChatterController@index');

Route::group(['middleware'=>['web']], function(){
  Route::get('/', 'homeController@home');
  Route::get('profile/{username}','UserController@profile');
  Route::post('/','UserController@update_avatar');
  Route::get('forum','ForumController@getForum');
  Route::get('/forum/{id}','ForumController@show');
  Route::get('/forum/category/job','ForumController@getJob');
  Route::get('/forum/category/pelajaran','ForumController@getPelajaran');
  Route::get('/forum/category/sayembara','ForumController@getSayembara');
  Route::get('/forum/category/lost','ForumController@getLost');
  Route::post('forum','ForumController@store');
  Route::post('comment/add','ForumController@getComment');
  Route::get('/Sempe','HomeController@getPengumuman');
  Route::get('/pengumuman/{id}','homeController@show');
  Route::get('/profilbem','homeController@getProfileBem');
  Route::get('/crasp','homeController@getAsp');
  Route::post('/storeAspirasi','homeController@storeAspirasi');
});


Route::post('/postLogin','LoginController@postLogin');
Route::get('/login','LoginController@getLogin');
Route::get ('logout',function(){
  Auth::logout();
  return redirect('login');
});



Route::group(['middleware'=>['web']], function(){
  Route::resource('/halamanAdmin','AdminController');
  Route::get('/register','RegisterController@getRegister');
  Route::post('/postRegister','RegisterController@postRegister');
});

Route::group(['middleware'=>['web']], function(){
  Route::resource('sekretaris','SekretarisController');
  Route::get('/dataPengumuman','SekretarisController@datapengumuman');
  Route::get('/pengumuman','SekretarisController@create');
  Route::post('/store','SekretarisController@store');
  Route::get('/event','SekretarisController@createEvent');
  Route::get('/aspmhs','SekretarisController@dataAspirasi');
  Route::post('/storeEvent','SekretarisController@storeEvent');
  Route::get('sekretaris/event','SekretarisController@indexEvent');
  Route::get('/aspmhs/{id}','SekretarisController@showAspirasi');
});

Route::group(['middleware'=>['web']], function(){
  Route::resource('bendahara','BendaharaController');
});

Route::group(['middleware'=>['web']], function(){
  Route::resource('akademik','AkademikController');
});

Route::group(['middleware'=>['web']], function(){
  Route::resource('pengurus','PengurusController');
});
